import { ApolloError } from 'apollo-client';
import { Store } from '@xterm-stack/client-redux';
export interface IXtermProps {
    loadingTerminalInstances?: boolean;
    loadingActiveInstance?: boolean;
    error?: ApolloError;
    color?: Store.Color;
    terminalTheme?: Store.Theme;
    buffers?: Store.InstanceBuffer[];
    styles?: any;
    height?: any;
    left?: any;
    theme?: any;
    terminalAction?: Store.TerminalAction;
    activeInstance?: Store.TerminalInstance;
    terminalInstances?: Store.TerminalInstance[];
    getTerminalData?: Function;
    refetchTerminalInstances?: Function;
    refetchActiveInstance?: Function;
    createInstance?: Function;
    deleteInstance?: Function;
    sendText?: Function;
    setActiveInstance?: Function;
    setInstanceSize?: Function;
    onFocusChange?: Function;
    saveInstanceBuffer?: (id: number, buffer: string) => void;
    removeInstanceBuffer?: (id: number) => void;
    resetCommand?: () => void;
    resizePanel?: (height: number) => void;
    setError?: (error: string, type: string) => any;
}
export interface IXtermState {
    isFocused?: boolean;
    creating?: boolean;
    finding?: boolean;
    waitingActiveInstance?: boolean;
}
declare const _default: any;
export default _default;
